Package com.emc.documentum.rest.model

# Class AuditTrail

java.lang.Object
com.emc.documentum.rest.model.AbstractLinkable
com.emc.documentum.rest.model.PersistentObject
com.emc.documentum.rest.model.AuditTrail

All Implemented Interfaces:
  `com.emc.documentum.rest.conditional.Digestible`, `Linkable`

public class AuditTrail extends PersistentObject

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `AuditTrail.AuditData`
  `static class`
  `AuditTrail.ValuePair`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final List<String>`
  `DEFAULT_FIELDS`
  Default fields that will be retrieved when use select * in DQL
  `static final List<String>`
  `MANDATORY_FIELDS`
  Mandatory fields

  ### Fields inherited from class com.emc.documentum.rest.model.PersistentObject

  `id, isLightweight, isMaterialized, isSnapshot, isVirtual, mandatoryAttributes, optionalAttributes, parentId, permissions, properties, reqDigest, type, typeDef, versionPolicy`

  ### Fields inherited from class com.emc.documentum.rest.model.AbstractLinkable

  `links`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AuditTrail()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<AuditTrail.AuditData>`
  `getAuditData()`
  `String`
  `getAuditedObjectId()`
  `String`
  `getEvent()`
  `List<String>`
  `getMandatoryFields()`
  Get mandatory attribute names
  `String`
  `getType()`
  Get object type of the persistent object; if it is not specified explicitly, return the attribute "r_object_type" by alternate.
  `String`
  `getUserName()`
  `AuditTrail`
  `setAuditData(com.documentum.fc.common.IDfList list)`

  ### Methods inherited from class com.emc.documentum.rest.model.PersistentObject

  `addAttribute, addMandatoryAttribute, addOptionalAttribute, calculatesDigest, convertDate, geOptionalAttribute, getAttributeByName, getAttributes, getId, getInternalFields, getMandatoryAttribute, getOptionalFields, getParentId, getPermissions, getReqDigest, getTypeDef, getVersionPolicy, hasAttribute, hasAttributeValue, hasOptionalAttribute, isLightweight, isMatchedWithReqDigest, isMaterialized, isSnapshot, isVirtualDocument, reInitAttributes, removeAttributeIfExisted, setId, setIsSnapshot, setIsVirtualDocument, setLightweight, setMaterialized, setParentId, setPermissions, setReqDigest, setType, setTypeDef, setVersionPolicy, toString`

  ### Methods inherited from class com.emc.documentum.rest.model.AbstractLinkable

  `getLinks, setLinks`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_FIELDS

    public static final List<String> DEFAULT_FIELDS
    Default fields that will be retrieved when use select * in DQL

  - ### MANDATORY_FIELDS

    public static final List<String> MANDATORY_FIELDS
    Mandatory fields

- ## Constructor Details

  - ### AuditTrail

    public AuditTrail()

- ## Method Details

  - ### getMandatoryFields

    public List<String> getMandatoryFields()
    Description copied from class: `PersistentObject`
    Get mandatory attribute names
    Overrides:
      `getMandatoryFields` in class `PersistentObject`
    Returns:
      mandatory fields

  - ### getType

    public String getType()
    Description copied from class: `PersistentObject`
    Get object type of the persistent object; if it is not specified explicitly, return the attribute "r_object_type" by alternate.
    Overrides:
      `getType` in class `PersistentObject`
    Returns:
      type

  - ### getEvent

    public String getEvent()

  - ### getUserName

    public String getUserName()

  - ### getAuditedObjectId

    public String getAuditedObjectId()

  - ### getAuditData

    public List<AuditTrail.AuditData> getAuditData()

  - ### setAuditData

    public AuditTrail setAuditData(com.documentum.fc.common.IDfList list) throws com.documentum.fc.common.DfException
    Throws:
      `com.documentum.fc.common.DfException`